#
# spec file for package spec (Version 2.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

Name:         arnold
License:      GPL
Group:        unsorted
Autoreqprov:  on
Version:      20090317
Release:      2.15
Summary:      Amstrad CPC Emulator
Source:       %name-nurgle-2009-03-17.tar.bz2
Patch:        %name-rpmlint.patch
Patch1:       %name-overflow.patch
BuildRequires: SDL-devel gtk2-devel pulseaudio-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL: http://arnold.berlios.de/

%description
Amstrad CPC emulator

%prep
%setup -q -n %name
%patch
%patch1

%build
cd src
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make %{?jobs:-j%jobs}

%install
install -D -m 755 arnold $RPM_BUILD_ROOT/usr/bin/arnold

%files
%defattr(-,root,root)
%doc *.txt *.linux README*
/usr/bin/arnold
%changelog
* Thu Apr 29 2010 uli@suse.de
- fix (not quite lethal) buffer overflow in iextdsk.c
* Wed Sep  9 2009 uli@suse.de
- update -> 2009-03-17:
  - arnold started up with something that looked like a cpc6128 but was
    cassette based.  now fixed. arnold starts with a real cpc6128
    configuration.
  - started to implement a new "load file into ram" option. Not finished yet
    but I was going to use this to run some tests with arnold.
  - it was not possible to insert an expansion rom (now fixed). clicking on
    load button would not do anything.
  - lots of dissassembly errors fixed. Some instructions were wrong, some
    were not formatted correctly. Some were inconsistent.
  - If Arnold failed to auto-start a disc it would not tell you.
  - If Arnold failed to auto-start a disc it would leave  autotype on and
    would print garbage.  Cpc would hang.
  - If Arnold failed to auto-start a disc it would leave autotype on, reset
    did not stop it. Cpc would be hung after reset.
  - Failed to autostart discs where directory had graphics and the only file
    to run was hidden.
  - Can now load 256k and 512k snapshots.
  - Much more tolerant to bad snapshots (bad length).
  - Can now autostart disc/tape on cpc+.
  - compressed memory blocks in snapshot v3 are now supported (snapshots
    written by winape should now load)
  - disc image filename blocks in snapshot v3 specification are now
    supported (snapshots written by winape should now load)
  - scroll lock led no longer reflects drive led. it was not useful because
    it only reflected the state of the internal drive anyway.
  - Ukonx tracker now loads.
  - Last Ninja 2 Remix (protected disc image) can now be inserted without Arnold crashing
  - Natural Bug Killer demo now runs
  - Inserting some disc images would cause Arnold to crash.
  - Fixed bug with CPC+ snapshot loading/saving. Some snapshots identify
    themselves for CPC old generation, but if a CPC+ special block is found
    it is assumed CPC+ is used.
  - Fixed a bug in the fdc emulation meaning Natural Bug Killers would hang
    after intro part.
  Linux port:
  - low-latency initialization for pulseaudio
  - 64bit fix for pulseaudio
  - pulseaudio support via new pulseaudio "plugin"
  - more 64bit fixes by Guillaume Bedot
  - sound plugins are specified by name
  - sound plugin auto detection
  - doublesize and fullscreen command line options
  - 64bit and compile fixes by Guillaume Bedot
  - merged new emulation core from Kevin Thacker (02-January-2009)
  - Sound output on Linux is now provided via four different "plugins":
    OSS, ALSA, ALSAMMAP or SDL. OSS is the default, others can be choosen via
    command line (see arnold -h for help).
  - Sound now actually works as expected when using ALSA or OSS. The SDL plugin
    is left in for completeness but still broken as before.
  - Spanish CPC6128 with different ROMs
  - Limited mouse support (Joymouse, Symbimouse) and mouse grabbing
  - Expansion ROM Support (by Kevin Thacker)
  - Merged in changes made by Kevin Thacker to Linux port
- fixed some ugly code rpmlint complained about
